﻿@model RentSomething.Models.Car

@{
    ViewBag.Title = "Add";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Add new car</h2>

<form method="post">
    <table class="table">
        <tr>
            <td>Car model: </td>
            <td> <input name="carModel" type="text" /> </td>
        </tr>
        <tr>
            <td>Registration Date:</td>
            <td> <input name="regDate" type="number" min="1980" max="2100" /> </td>
        </tr>
        <tr>
            <td>Fuel Type: </td>
            <td>
                <select name="fuelType">
                    @foreach (var fuel in ViewBag.FuelTypes)
                    {
                        <option value="@fuel.Key"> @fuel.Value</option>
                    }
                </select>
            </td>
        </tr>
        <tr>
            <td>Number of seats: </td>
            <td> <input name="numSeats" type="number" min="1" max="20" /> </td>
        </tr>
        <tr>
            <td>Color: </td>
            <td>
                <select name="carColor">
                    @foreach (var color in ViewBag.Colors)
                    {
                        <option value="@color.Key"> @color.Value</option>
                    }
                </select>
            </td>
        </tr>
        <tr>
            <td>Gear box:</td>
            <td>
                <select name="gearBox">
                    @foreach (var trs in ViewBag.Transmissions)
                    {
                        <option value="@trs.Key"> @trs.Value</option>
                    }
                </select>
            </td>
        </tr>
        <tr>
            <td>Rental price: </td>
            <td> <input name="rentPrice" type="number" min="1" value="@Model.Price"/></td>
        </tr>
    </table>

    <input type="submit" class="btn btn-primary" value="Submit"/>
</form>

